## ptlib-wolf 2.4.5

=== src/Makefile ===
# Makefile
#
# Make file for ptlib library
#
# Portable Windows Library
#
# Copyright (c) 1993-1998 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Portions are Copyright (C) 1993 Free Software Foundation, Inc.
# All Rights Reserved.
# 
# Contributor(s): Matthias Schneider____________________.

ifndef PTLIBDIR
PTLIBDIR := $(HOME)/ptlib
endif

include $(PTLIBDIR)/make/unix.mak

OBJDIR	= $(PT_OBJDIR)
LIBDIR  = $(PT_LIBDIR)
TARGET  = $(LIBDIR)/$(PTLIB_FILE)
VERSION_FILE = $(PTLIBDIR)/version.h

##########################################

COMPONENT_SRC_DIR	= ptclib
COMMON_SRC_DIR		= ptlib/common
PLUGIN_DIR		= ../plugins
ifeq ($(OSTYPE),mingw)
PLATFORM_SRC_DIR        = ptlib/msos
else
PLATFORM_SRC_DIR        = ptlib/unix
endif
VPATH_CXX		:= $(PLATFORM_SRC_DIR) $(COMMON_SRC_DIR) $(COMPONENT_SRC_DIR) 


# try and keep the order of modules in reverse order of usage so any
# global statics will be constructed/destructed in the correct order

ifdef HAS_SASL2
SOURCES	+= $(COMPONENT_SRC_DIR)/psasl.cxx 
endif

ifdef HAS_OPENLDAP
SOURCES	+= \
	$(COMPONENT_SRC_DIR)/pldap.cxx \
        $(COMPONENT_SRC_DIR)/pils.cxx
endif

ifdef HAS_OPENSSL
SOURCES += $(COMPONENT_SRC_DIR)/pssl.cxx 
endif

ifdef HAS_SDL
SOURCES += $(COMPONENT_SRC_DIR)/vsdl.cxx

$(OBJDIR)/vsdl.o: $(COMPONENT_SRC_DIR)/vsdl.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(CXX) $(CFLAGS) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) -c $< -o $@

endif

ifdef HAS_ODBC
SOURCES += $(COMPONENT_SRC_DIR)/podbc.cxx
endif

## VIDEO DRIVERS
## Note this is mostly handled by the plugin system

ifdef HAS_VIDEO

SOURCES	 += $(COMMON_SRC_DIR)/vfakeio.cxx \
            $(COMMON_SRC_DIR)/videoio.cxx \
	    $(COMMON_SRC_DIR)/vconvert.cxx \
	    $(COMMON_SRC_DIR)/pvidchan.cxx \
	    $(COMMON_SRC_DIR)/tinyjpeg.c \
	    $(COMMON_SRC_DIR)/jidctflt.c

$(OBJDIR)/vfakeio.o: $(COMMON_SRC_DIR)/vfakeio.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(CXX) $(CFLAGS) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) -c $< -o $@

ifdef HAS_SHM_VIDEO
SOURCES	+= $(PLATFORM_SRC_DIR)/shmvideo.cxx
endif

ifndef HAS_PLUGINS

ifeq ($(OSTYPE),linux)
VPATH_CXX	+= $(PLUGIN_DIR)/vidinput_v4l
SOURCES		+= $(PLUGIN_DIR)/vidinput_v4l/vidinput_v4l.cxx
endif

endif  # HAS_PLUGINS

ifdef HAS_VFW_CAPTURE
SOURCES		+= $(PLATFORM_SRC_DIR)/vfw.cxx
endif

ifdef HAS_DIRECTSHOW
SOURCES	+= $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
$(OBJDIR)/vidinput_directx.o: $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(CXX) $(CFLAGS) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) -c $< -o $@
endif

endif # HAS_VIDEO

## SOUND DRIVERS
## Note this is mostly handled by the plugin system

ifdef HAS_AUDIO

SOURCES += $(COMMON_SRC_DIR)/sound.cxx 

ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/sound_win32.cxx
$(OBJDIR)/sound_win32.o: $(PLATFORM_SRC_DIR)/sound_win32.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(CXX) $(CFLAGS) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) -c $< -o $@
endif

ifndef HAS_PLUGINS

ifeq ($(OSTYPE),linux)
VPATH_CXX	+= $(PLUGIN_DIR)/sound_oss
SOURCES		+= $(PLUGIN_DIR)/sound_oss/sound_oss.cxx
endif # linux

ifdef HAS_ALSA
VPATH_CXX	+= $(PLUGIN_DIR)/sound_alsa
SOURCES		+= $(PLUGIN_DIR)/sound_alsa/sound_alsa.cxx
endif  # HAS_ALSA

ifeq ($(OSTYPE),beos)
SOURCES	 += $(PLATFORM_SRC_DIR)/beaudio.cxx
endif  # beos
 
endif  # HAS_PLUGINS

# Although not an external plugin, the MacOSX
# CoreAudio sound driver still is in plugin form
# and requires the PPluginManager
ifeq ($(OSTYPE),Darwin)
SOURCES	+= $(PLATFORM_SRC_DIR)/maccoreaudio.cxx
endif # Darwin

endif  # HAS_AUDIO

## Various modules

ifdef HAS_EXPAT
SOURCES	+= $(COMPONENT_SRC_DIR)/pxml.cxx 

ifdef HAS_XMLRPC
SOURCES	+= \
	$(COMPONENT_SRC_DIR)/pxmlrpc.cxx \
	$(COMPONENT_SRC_DIR)/pxmlrpcs.cxx 
endif

ifdef HAS_SOAP
SOURCES	+= $(COMPONENT_SRC_DIR)/psoap.cxx 
endif

ifdef HAS_VXML
SOURCES	+= $(COMPONENT_SRC_DIR)/vxml.cxx 
endif

ifdef HAS_SASL2
SOURCES += \
	$(COMPONENT_SRC_DIR)/xmpp.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_c2s.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_muc.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_roster.cxx
endif
endif # HAS_EXPAT


ifdef HAS_RESOLVER
SOURCES += \
	$(COMPONENT_SRC_DIR)/pdns.cxx \
	$(COMPONENT_SRC_DIR)/enum.cxx 
endif

ifdef HAS_TTS
SOURCES += $(COMPONENT_SRC_DIR)/ptts.cxx 
endif

ifdef HAS_ASN
SOURCES += \
	$(COMPONENT_SRC_DIR)/asner.cxx \
	$(COMPONENT_SRC_DIR)/pasn.cxx 
endif

ifdef HAS_SNMP
SOURCES += \
	$(COMPONENT_SRC_DIR)/snmpclnt.cxx \
	$(COMPONENT_SRC_DIR)/snmpserv.cxx \
	$(COMPONENT_SRC_DIR)/psnmp.cxx \
	$(COMPONENT_SRC_DIR)/snmp.cxx \
	$(COMPONENT_SRC_DIR)/rfc1155.cxx 
endif

ifdef HAS_FTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/ftpclnt.cxx \
	$(COMPONENT_SRC_DIR)/ftpsrvr.cxx \
	$(COMPONENT_SRC_DIR)/ftp.cxx 
endif

ifdef HAS_TELNET
SOURCES += $(COMPONENT_SRC_DIR)/telnet.cxx 
endif

ifdef HAS_STUN
SOURCES += $(COMPONENT_SRC_DIR)/pstun.cxx \
           $(COMPONENT_SRC_DIR)/pnat.cxx

$(OBJDIR)/pstun.o: $(COMPONENT_SRC_DIR)/pstun.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(CXX) $(CFLAGS) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) -c $< -o $@

endif

ifdef HAS_SOCKS
SOURCES += $(COMPONENT_SRC_DIR)/socks.cxx 
endif

ifdef HAS_PIPECHAN
ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/pipe.cxx 
SOURCES += $(COMMON_SRC_DIR)/pipechan.cxx 
else
SOURCES += $(PLATFORM_SRC_DIR)/pipechan.cxx 
endif
endif

ifdef HAS_REMCONN
SOURCES += $(PLATFORM_SRC_DIR)/remconn.cxx 
endif

ifdef HAS_WAVFILE
SOURCES += $(COMPONENT_SRC_DIR)/pwavfile.cxx 
endif

ifdef HAS_DTMF
SOURCES += $(COMPONENT_SRC_DIR)/dtmf.cxx 
endif

ifdef HAS_SERIAL

ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/winserial.cxx \
     	   $(COMMON_SRC_DIR)/serial.cxx

else
SOURCES += $(PLATFORM_SRC_DIR)/serchan.cxx
endif

SOURCES += $(COMPONENT_SRC_DIR)/modem.cxx 
endif

ifdef HAS_POP3SMTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/inetmail.cxx 
endif

ifdef HAS_URL
SOURCES += \
	$(COMPONENT_SRC_DIR)/url.cxx 
endif

ifdef HAS_HTTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/http.cxx \
	$(COMPONENT_SRC_DIR)/httpclnt.cxx 
endif

ifdef HAS_HTTPFORMS
SOURCES += \
	$(COMPONENT_SRC_DIR)/httpform.cxx \
	$(COMPONENT_SRC_DIR)/html.cxx 
endif #HAS_HTTPFORMS

ifdef HAS_HTTPSVC
SOURCES += \
	$(COMPONENT_SRC_DIR)/httpsvc.cxx \
	$(COMPONENT_SRC_DIR)/httpsrvr.cxx

ifdef HAS_OPENSSL
SOURCES += $(COMPONENT_SRC_DIR)/shttpsvc.cxx
endif #HAS_OPENSSL
endif #HAS_HTTPSVC

ifdef HAS_CONFIG_FILE
ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/wincfg.cxx 
else
SOURCES += $(PLATFORM_SRC_DIR)/config.cxx 
endif
endif

SOURCES += $(COMPONENT_SRC_DIR)/sockagg.cxx

ifdef HAS_VIDFILE
SOURCES += $(COMPONENT_SRC_DIR)/pvidfile.cxx \
	   $(COMPONENT_SRC_DIR)/pvfiledev.cxx 

$(OBJDIR)/pvfiledev.o: $(COMPONENT_SRC_DIR)/pvfiledev.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(CXX) $(CFLAGS) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) -c $< -o $@

endif

ifeq ($(OSTYPE),mingw)
SOURCES	+= \
        $(PLATFORM_SRC_DIR)/ptlib.cxx \
        $(PLATFORM_SRC_DIR)/icmp.cxx \
        $(PLATFORM_SRC_DIR)/winsock.cxx \
        $(PLATFORM_SRC_DIR)/win32.cxx \
        $(PLATFORM_SRC_DIR)/dllmain.cxx \
        $(PLATFORM_SRC_DIR)/ethsock.cxx \
        $(COMMON_SRC_DIR)/pchannel.cxx \
        $(COMMON_SRC_DIR)/pethsock.cxx \
        $(COMMON_SRC_DIR)/pconfig.cxx
else
SOURCES	+= \
	$(PLATFORM_SRC_DIR)/uicmp.cxx \
	$(PLATFORM_SRC_DIR)/socket.cxx \
	$(PLATFORM_SRC_DIR)/udll.cxx \
	$(PLATFORM_SRC_DIR)/channel.cxx \
	$(PLATFORM_SRC_DIR)/svcproc.cxx \
	$(PLATFORM_SRC_DIR)/osutil.cxx \
	$(PLATFORM_SRC_DIR)/tlib.cxx \
	$(PLATFORM_SRC_DIR)/switch.cxx
endif

GETDATE_SOURCE = $(COMMON_SRC_DIR)/getdate.tab.c

SOURCES	+= \
	$(COMPONENT_SRC_DIR)/ipacl.cxx \
	$(COMPONENT_SRC_DIR)/qchannel.cxx \
	$(COMPONENT_SRC_DIR)/delaychan.cxx \
	$(COMPONENT_SRC_DIR)/memfile.cxx \
	$(COMPONENT_SRC_DIR)/cypher.cxx \
	$(COMPONENT_SRC_DIR)/random.cxx \
	$(COMPONENT_SRC_DIR)/inetprot.cxx \
	$(COMPONENT_SRC_DIR)/notifier_ext.cxx \
	$(COMPONENT_SRC_DIR)/guid.cxx \
	$(GETDATE_SOURCE) \
	$(PLATFORM_SRC_DIR)/assert.cxx \
        $(COMMON_SRC_DIR)/pluginmgr.cxx \
	$(COMMON_SRC_DIR)/sockets.cxx \
	$(COMMON_SRC_DIR)/psockbun.cxx \
	$(COMMON_SRC_DIR)/qos.cxx \
	$(COMMON_SRC_DIR)/ptime.cxx \
	$(COMMON_SRC_DIR)/osutils.cxx \
	$(COMMON_SRC_DIR)/safecoll.cxx \
	$(COMMON_SRC_DIR)/collect.cxx \
	$(COMMON_SRC_DIR)/contain.cxx \
	$(COMMON_SRC_DIR)/object.cxx   # must be last module

ifneq ($(HAS_REGEX),1)
OBJS	= $(OBJDIR)/regcomp.o $(OBJDIR)/regexec.o $(OBJDIR)/regerror.o $(OBJDIR)/regfree.o
endif

CLEAN_FILES = $(GETDATE_SOURCE)


#######################################################

include ../make/common.mak

#######################################################

alllibs:
	$(MAKE) both
	$(MAKE) bothshared


$(OBJDIR)/regcomp.o: $(COMMON_SRC_DIR)/regex/regcomp.c
	$(CC) $(CFLAGS) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex -o $@ -c $<

$(OBJDIR)/regexec.o: $(COMMON_SRC_DIR)/regex/regexec.c
	$(CC) $(CFLAGS) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex -o $@ -c $<

$(OBJDIR)/regerror.o: $(COMMON_SRC_DIR)/regex/regerror.c
	$(CC) $(CFLAGS) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex -o $@ -c $<

$(OBJDIR)/regfree.o: $(COMMON_SRC_DIR)/regex/regfree.c
	$(CC) $(CFLAGS) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex -o $@ -c $<


ifdef REQUIRES_SEPARATE_SWITCH 
$(OBJDIR)/switch.o: $(PLATFORM_SRC_DIR)/switch.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(CXX) $(CFLAGS) $(STDCCFLAGS) -c $< -o $@
endif

$(OBJDIR)/getdate.tab.o: $(GETDATE_SOURCE)
	$(CC) $(CFLAGS) $(STDCCFLAGS) -c $< -o $@

$(DEPDIR)/getdate.tab.dep: $(GETDATE_SOURCE)
	$(CC) $(STDCCFLAGS) -M $< >> $@

$(GETDATE_SOURCE): $(COMMON_SRC_DIR)/getdate.y
	bison $(COMMON_SRC_DIR)/getdate.y -o $(COMMON_SRC_DIR)/getdate.tab.c

#######################################################

LIB_BASENAME=$(PTLIB_BASE)
LIB_FILENAME=$(PTLIB_FILE)

include $(PTLIBDIR)/make/lib.mak

#######################################################

# End of Makefile

=== debian/changelog ===
ptlib-wolf (2.4.5-2) unstable; urgency=low

  * Drop obsolete +Build-Conflicts:
  * source/format -> 3.0 (quilt) 
  * Drop unsupported sslv2_method (Closes: #622025)
  * Update: +Vcs-Svn: +Vcs-Browser:
  * Restrict debian/watch to ptlib2.4-wolf versions only

 -- Mark Purcell <msp@debian.org>  Sat, 02 Jul 2011 16:20:57 +1000

ptlib-wolf (2.4.5-1) unstable; urgency=low

  * New Upstream Release 
    - ptlib2.4.5 API (Wolf) necessary for h323plus library (openh3232 continued)
    - NEW source package ptlib2.4.5 necessary to manage API compatibility
    - NEW binary packages: libpt2.4.5 libpt2.4.5-dev libpt2.4.5-dbg ...
  * Drop uncessary debian/patches
  * version.h -> /usr/share/ptlib
  * Switch to debhelper 7
  * debian/watch -> h323plus.org
  * Fix changelog spelling
  * Add dh_strip -a --dbg-package=libpt2.4.5-dbg
  * Update to Standard Version 3.8.4
  * Drop unused debian/patches
  * Depreciate libpt2.4.5-plugins -> libpt2.4.5

 -- Mark Purcell <msp@debian.org>  Wed, 12 May 2010 17:22:17 +1000

ptlib (2.0.1-1) UNRELEASED; urgency=low

  * New Upstream Release
    - Version necessary for h323plus packages (openh3232 continued)
  * Switch to cdbs
  * new 11_versioned_plugindirs.dpatch
  * cleanup soname Add 20_fixup_so.dpatch

 -- Mark Purcell <msp@debian.org>  Fri, 29 May 2009 08:58:54 +1000

pwlib-titan (1.11.2-3) UNRELEASED; urgency=low

  [ Victor Seva ]
  * Add patch from Robert Millan to solve FTBFS on parallel build.
    (Closes: #459743)

  [ Faidon Liambotis ]
  * Remove emacs stuff from the end of the changelog.

  [ Patrick Matthäi ]
  * Add description for 01_unix.mak_Os.dpatch.
    Thanks lintian.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 03 Apr 2008 19:07:41 +0300

pwlib-titan (1.11.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net instead of voxgratia.org (Closes: #453595)
  * Remove symlinks of unused compatibility versions.
  * Remove entire -ptrace and -debug build and leave only opt build with
    PTRACE code as new binary library. Discussion with Robert Jongbloed
    proved that there's no point shipping any other configuration.
  * Revert part of 04_names patch to not include OBJDIR_SUFFIX to
    plugins dir anymore.

  [ Faidon Liambotis ]
  * Incorporate NMU by Nico Golde, thanks! (Closes: #454139)
  * Fix bug where shlibs were very strict on binNMUed versions.
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Remove doxygen from Build-Depends-Indep since it's present in
    Build-Depends.
  * Remove debian/backports/{sarge,dapper} since they are obsolete
    distributions.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders and add myself.
  * Add all copyright holders to debian/copyright.
  * Fix syntax error in the ptlib-config.1 manpage.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 02 Apr 2008 07:14:27 +0300

pwlib-titan (1.11.2-1.1) unstable; urgency=high

  * Non-maintainer upload by testing-security team.
  * Fix remote denial of service vulnerability caused
    by a call to PString::vsprintf if the used object already
    contained more than 1000 characters (CVE-2007-4897; bug #454139).

 -- Nico Golde <nion@debian.org>  Mon, 03 Dec 2007 13:20:05 +0100

pwlib-titan (1.11.2-1) unstable; urgency=low

  * New upstream release (unstable branch).

  [ Kilian Krause ]
  * Add dpkg-dev (>= 1.13.19) to Build-Deps to allow use of binary:Version.
  * Remove circular dependencies from plugins.
  * Remove get-orig-source until upstream provides the tarball on their
    website again.
  * Fixup debian/watch.
  * Remove compat symlinks.
  * Remove implicit rules-ignores-make-clean error
  * Fix dh_strip call to use $(PACKAGE) for all packs properly.
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Faidon Liambotis ]
  * Adapt shlibs to depend on the upstream's version number and not the Debian
    version number, since we don't extend the ABI. This also imitates
    debhelper's behavior.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 14:43:52 +0200

pwlib (1.10.7~dfsg1-4) unstable; urgency=high

  * Add missing libpt.so.* compat symlinks. The libpt.so.1.10 is supposed to
    be compatible with all build versions. Probably we should revert that
    SONAME "fix" upstream to just $major.$minor as is what Craig reckons is
    kept as API/ABI for a stable release. (Closes: #434077)
  * Urgency high due to RC bug.

 -- Kilian Krause <kilian@debian.org>  Sun, 22 Jul 2007 02:57:29 +0200

pwlib (1.10.7~dfsg1-3) unstable; urgency=low

  * Add missing conflicts (Closes: #433185)

 -- Kilian Krause <kilian@debian.org>  Mon, 16 Jul 2007 13:50:38 +0200

pwlib (1.10.7~dfsg1-2) unstable; urgency=low

  * Fix compilation of V4L2 on i386. Backport patch from upstream.
  * Fix Source-Version to become binary:Version for binNMU-safety.

 -- Kilian Krause <kilian@debian.org>  Wed, 04 Jul 2007 19:11:46 +0200

pwlib (1.10.7~dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Update debian/rules to build also ptrace-enabled opt version and
    ptrace-enabled debug version (with extra PTRACE code) as was often
    requested by Ekiga developers.
  * Ship external debug symbols directly in new ptrace and develop package.
  * Add symlinks for linking only in libpt-dev rather than each libpt package.
    Backward compatibility links are still added to allow clean upgrade paths
    without rebuild when build-version has been bumped. Upstream reckons the
    API with stable OpenH323 releases (pwlib, opal, openh323) is supposed to
    remain identical for all upsates with the same minor version number.
    (Closes: #424050)
  * Depend on at least one plugin for audio and video for libpt-1.10.0. The
    -develop and -ptrace have their plugins included. No need to depend here.

 -- Kilian Krause <kilian@debian.org>  Tue,  3 Jul 2007 21:49:46 +0200

pwlib (1.10.2-2) unstable; urgency=high

  * Correct the versioned dependency to the lib we're building right now to


=== debian/control ===
Source: ptlib-wolf
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, 
 bison, flex,
 libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev,
 libasound2-dev, libdv-dev, libsasl2-dev, libkrb5-dev, doxygen, linux-kernel-headers|linux-libc-dev, binutils (>= 2.14.90.0.7)
Build-Conflicts: libpt-1.10.10, libpt-1.10.10-ptrace, libpt-1.10.10-develop, 
  libpt-1.10.0, libpt-1.10.0-ptrace, libpt-1.10.0-develop, 
  libpt-dev
Standards-Version: 3.8.4
Homepage: http://www.voxgratia.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/branches/ptlib2.4-wolf/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/ptlib/branches/ptlib2.4-wolf/

Package: libpt2.4.5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpt2.4.5-plugins
Replaces: libpt2.4.5-plugins
Description: Portable Tools Library
 This package contains the shared version of the library PTLib, which is
 a moderately large class library that has its genesis many years ago as
 a method to produce applications to run on both Microsoft Windows and
 Unix X-Window systems.
 .
 This package also contains all the current PTLib plugins (alsa, oss, v4l2,
 and v4l).

Package: libpt2.4.5-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpt2.4.5 (= ${binary:Version}), libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev
Conflicts: libpt-dev
Description: Portable Tools Library development files
 This package contains the headers and a static version of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

Package: libpt2.4.5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libpt2.4.5 (= ${binary:Version})
Description: Portable Tools Library development debug files
 This package contains the shared and static debug symbols of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.  This is not the debug compiled
 version of PTLib which would yield much more detailled information as a
 compromise of benefit and compile power consumption.

Package: libpt2.4.5-doc
Section: doc
Priority: extra 
Depends: ${misc:Depends}
Architecture: all
Description: Portable Tools Library documentation & sample files
 This package contains the documentation and samples to program with
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

=== debian/watch ===
version=3

http://sf.net/opalvoip/ptlib-(2.4.\d).tar.bz2 debian svn-upgrade
